Skip to content
Permalink
Browse files

Drop deprecated win api call for handling win 9.x compatibility

There's no way QGIS 3.0 is windows 98 compatible!!
  • Loading branch information
nyalldawson committed Feb 10, 2017
1 parent 2ea3ac4 commit 533e7961308975c57f14b6f8b4fe176c436b1a75
Showing with 1 addition and 15 deletions.
  1. +1 −15 src/core/gps/qextserialport/qextserialenumerator.cpp
@@ -507,21 +507,7 @@ QList<QextPortInfo> QextSerialEnumerator::getPorts()
QList<QextPortInfo> ports;

#ifdef Q_OS_WIN
OSVERSIONINFO vi;
vi.dwOSVersionInfoSize = sizeof(vi);
if (!::GetVersionEx(&vi)) {
qCritical("Could not get OS version.");
return ports;
}
// Handle windows 9x and NT4 specially
if (vi.dwMajorVersion < 5) {
qCritical("Enumeration for this version of Windows is not implemented yet");
/*if (vi.dwPlatformId == VER_PLATFORM_WIN32_NT)
EnumPortsWNt4(ports);
else
EnumPortsW9x(ports);*/
} else //w2k or later
setupAPIScan(ports);
setupAPIScan(ports);
#endif /*Q_OS_WIN*/
#ifdef Q_OS_UNIX
#ifdef Q_OS_MAC

0 comments on commit 533e796

Please sign in to comment.
You can’t perform that action at this time.